<script setup>
import Header from "@/components/atoms/header/Header.vue";
import HeaderMenu from "@/components/atoms/menu/header/HeaderMenu.vue";
import Nav from "@/components/atoms/nav/Nav.vue";
import HeaderMenuItem from "@/components/molecules/menu/HeaderMenuItem.vue";
import LinkedPVMLogo from "@/components/molecules/logo/LinkedPVMLogo.vue";
import Flex from "@/components/atoms/container/Flex.vue";
import ShortcutsModal from "@/components/organisms/modal/ShortcutsModal.vue";
</script>

<template>
  <Header>
    <Nav class="border-b border-gray-200 px-6 py-2.5">
      <Flex class="justify-between items-center">
        <LinkedPVMLogo/>
        <Flex class="justify-between items-center">
          <HeaderMenu>
            <HeaderMenuItem href="/repositories">Dépôts distants</HeaderMenuItem>
            <HeaderMenuItem href="/instances">Instances</HeaderMenuItem>
            <HeaderMenuItem href="/merge-requests">MR/PR</HeaderMenuItem>
          </HeaderMenu>
        </Flex>
        <ShortcutsModal/>
      </Flex>
    </Nav>
  </Header>
</template>
